import 'package:widgets/load_state_layout.dart';

class FacilityBookingState {
  //当前选中的时间日期
  DateTime selectedDate;

  //页面 LoadView 状态的展示
  LoadState loadingState;
  String? errorMessage;

  List<String> datas;

  // ===================================  Begin  ↓  ===================================

  FacilityBookingState({
    required this.selectedDate,
    this.loadingState = LoadState.State_Loading,
    required this.datas,
    this.errorMessage,
  });

  FacilityBookingState copyWith({
    DateTime? selectedDate,
    LoadState? loadingState,
    String? errorMessage,
    List<String>? datas,
  }) {
    return FacilityBookingState(
      selectedDate: selectedDate ?? this.selectedDate,
      loadingState: loadingState ?? this.loadingState,
      errorMessage: errorMessage ?? this.errorMessage,
      datas: datas ?? this.datas,
    );
  }
}
